%global debug_package %{nil}

Summary:	Subtitle editor for the GNOME desktop
Name:		gnome-subtitles
Version:	1.8
Release:	%mkrel 3
License:	GPLv2+
Group:		Video/Editors and Converters
URL:		https://gnomesubtitles.org/
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	https://gstreamer.freedesktop.org/src/gstreamer-sharp/gstreamer-sharp-1.20.3.tar.xz
Source2:	https://github.com/GLibSharp/GtkSharp/archive/3.22.2/GtkSharp-3.22.2.tar.gz
Source3:	https://github.com/GLibSharp/bindinator/archive/13cdbcdb9bd9e05666e56e7e374027fa719acda4/bindinator-13cdbcd.tar.gz
Patch1:		0001-Side-bar-resizes-itself-during-video-playback.patch
BuildRequires:	meson
BuildRequires:	imagemagick
BuildRequires:	intltool >= 0.35.0
BuildRequires:	itstool
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gstreamer-video-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
#https://gitlab.gnome.org/GNOME/gnome-subtitles/-/issues/199
#BuildRequires:	pkgconfig(gtk-sharp-3.0)
BuildRequires:	pkgconfig(mono) >= 1.1
#pulled in by bundled gstreamer-sharp
BuildRequires:	pkgconfig(gstreamer-webrtc-1.0)
BuildRequires:	pkgconfig(gst-editing-services-1.0)

Requires:	enchant2
Recommends:	gstreamer1.0-decoders

Provides:	bundled(gstreamer1-sharp) = 1.20.3
Provides:	bundled(gtk-sharp3) = 3.22.2

%global _privatelibs mono\\((atk|cairo|gdk|gio|glib|gstreamer|gtk|pango)-sharp\\).*
%global __provides_exclude ^(%{_privatelibs})$
%global __requires_exclude ^(%{_privatelibs})$

%description
Gnome Subtitles is a subtitle editor for the GNOME desktop. It
supports the most common text-based subtitle formats and allows for
subtitle editing, translation and synchronization.

%prep
%autosetup -p1
%setup -q -T -D -a 1
%setup -q -T -D -a 2
%setup -q -T -D -a 3
mv gstreamer-sharp-1.20.3 subprojects/gstreamer-sharp
mv GtkSharp-3.22.2 subprojects/gtk-sharp
mv bindinator-13cdbcdb9bd9e05666e56e7e374027fa719acda4 subprojects/bindinator

%build
%meson -Dinstall_gtk_sharp=true \
       -Dgstreamer-sharp:tests=disabled
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/applications/org.gnome.GnomeSubtitles.desktop
%{_metainfodir}/org.gnome.GnomeSubtitles.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.GnomeSubtitles.gschema.xml
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Jun 07 2023 daviddavid <daviddavid> 1.8-3.mga9
+ Revision: 1961254
- use bundled gtk-sharp3 3.22.2 from https://github.com/GLibSharp/GtkSharp

* Sun Jun 04 2023 daviddavid <daviddavid> 1.8-2.mga9
+ Revision: 1960874
- backport upstream patch to fix side bar resizes itself during video playback (#157)

* Sun Jun 04 2023 daviddavid <daviddavid> 1.8-1.mga9
+ Revision: 1960869
- new version: 1.8
- switch to meson build system

* Sun Apr 03 2022 umeabot <umeabot> 1.6-3.mga9
+ Revision: 1841589
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.6-2.mga8
+ Revision: 1531451
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 13 2019 daviddavid <daviddavid> 1.6-1.mga8
+ Revision: 1440382
- new version 1.6

* Sat Jul 13 2019 daviddavid <daviddavid> 1.5-1.mga8
+ Revision: 1420887
- new version: 1.5

* Thu Feb 28 2019 daviddavid <daviddavid> 1.4.2-2.mga7
+ Revision: 1370489
- switch to enchant2

* Thu Feb 28 2019 daviddavid <daviddavid> 1.4.2-1.mga7
+ Revision: 1370483
- new version: 1.4.2

* Wed Jan 23 2019 daviddavid <daviddavid> 1.4.1-2.mga7
+ Revision: 1360207
- disable scrollkeeper support

* Sun Oct 21 2018 daviddavid <daviddavid> 1.4.1-1.mga7
+ Revision: 1323329
- new version: 1.4.1

* Tue Sep 04 2018 daviddavid <daviddavid> 1.4-1.mga7
+ Revision: 1257112
- new version: 1.4
- dropped upstreamed patch
- switch to GTK3

* Sun Jun 03 2018 wally <wally> 1.3-9.mga7
+ Revision: 1234188
- fix build on aarch64

* Wed Sep 13 2017 cjw <cjw> 1.3-8.mga7
+ Revision: 1153527
- fix build with new find_lang

* Mon Apr 11 2016 daviddavid <daviddavid> 1.3-7.mga6
+ Revision: 1000437
- add patch from fedora to fix build with mono4 >= 4.2.3

* Sat Jan 30 2016 umeabot <umeabot> 1.3-6.mga6
+ Revision: 929076
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3-5.mga5
+ Revision: 749309
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3-4.mga5
+ Revision: 679772
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Wed Jun 25 2014 ovitters <ovitters> 1.3-3.mga5
+ Revision: 639615
- remove la files

* Sat Oct 19 2013 umeabot <umeabot> 1.3-2.mga4
+ Revision: 523901
- Mageia 4 Mass Rebuild

* Sun May 26 2013 fwang <fwang> 1.3-1.mga4
+ Revision: 427896
- update file list
- disable schema installation
- update filename
- try build correctly
- fix br
- update br
- new version 1.3

* Mon Jan 21 2013 barjac <barjac> 1.2-3.mga3
+ Revision: 390619
- update group
- clean spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 fwang <fwang> 1.2-1.mga2
+ Revision: 135083
- new version 1.2
+ anssi <anssi>
- imported package gnome-subtitles


* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 1.1-1mdv2011.0
+ Revision: 600923
- new version 1.1

* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 1.0-1mdv2010.1
+ Revision: 508717
- new version 1.0

* Sun Jul 19 2009 Funda Wang <fwang@mandriva.org> 0.9.1-1mdv2010.0
+ Revision: 397413
- new version 0.9.1

* Mon Jun 22 2009 Funda Wang <fwang@mandriva.org> 0.9-1mdv2010.0
+ Revision: 387997
- add tarball
- New version 0.9

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Fri Aug 22 2008 Funda Wang <fwang@mandriva.org> 0.8-2mdv2009.0
+ Revision: 275024
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.8-1mdv2009.0
+ Revision: 207020
- fix file list
- BR sublib
- BR gladesharp
- BR devel packages
- New version 0.8

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2008.1
+ Revision: 158562
- New version 0.7.2

* Fri Jan 25 2008 Anssi Hannula <anssi@mandriva.org> 0.7.1-2mdv2008.1
+ Revision: 158068
- disable parallel build
- suggests gstreamer0.10-decoders instead of mplayer

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2008.1
+ Revision: 120572
- add missing omf files
- BR gstreamer-base
- BR gstreamer
- New version 0.7.1

* Sat Oct 27 2007 Anssi Hannula <anssi@mandriva.org> 0.6-3mdv2008.1
+ Revision: 102669
- fixes for backportability

* Tue Oct 16 2007 Anssi Hannula <anssi@mandriva.org> 0.6-2mdv2008.1
+ Revision: 99172
- buildrequire ImageMagick for backportability

* Tue Oct 16 2007 Anssi Hannula <anssi@mandriva.org> 0.6-1mdv2008.1
+ Revision: 99094
- initial Mandriva release

